'use strict';

var _cheerio = require('cheerio');

var _cheerio2 = _interopRequireDefault(_cheerio);

var _q = require('q');

var _q2 = _interopRequireDefault(_q);

var _requestPromise = require('request-promise');

var _requestPromise2 = _interopRequireDefault(_requestPromise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getStatus = function getStatus(data, cb) {
  var deferred = _q2.default.defer();
  var qs = {
    RUN: data.rut,
    type: data.type ? data.type.toUpperCase() : 'CEDULA',
    serial: data.serial
  };
  var options = {
    url: 'https://portal.sidiv.registrocivil.cl/usuarios-portal/pages/DocumentRequestStatus.xhtml',
    qs: qs,
    rejectUnauthorized: false,
    transform: function transform(body) {
      return _cheerio2.default.load(body);
    }
  };
  (0, _requestPromise2.default)(options).then(function ($) {
    var status = $('#tableResult .setWidthOfSecondColumn').text();
    if (status === '') deferred.reject(new Error('Not found'));
    deferred.resolve(status);
  }).catch(function (err) {
    return deferred.reject(err);
  });
  deferred.promise.nodeify(cb);
  return deferred.promise;
};

module.exports = getStatus;
//# sourceMappingURL=index.js.map